Debian Bug report logs - #593108
hw-detect: Install mmc-modules automatically if needed

version graph

Package: hw-detect; Maintainer for hw-detect is Debian Install System Team <debian-boot@lists.debian.org>; Source for hw-detect is src:hw-detect.

Reported by: Thibaut GIRKA <thib@sitedethib.com>

Date: Sun, 15 Aug 2010 15:06:02 UTC

Severity: minor

Tags: patch

Fixed in version hw-detect/1.85

Done: Jurij Smakov <jurij@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#593108; Package hw-detect. (Sun, 15 Aug 2010 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut GIRKA <thib@sitedethib.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 15 Aug 2010 15:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thibaut GIRKA <thib@sitedethib.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hw-detect: Install mmc-modules automatically if needed
Date: Sun, 15 Aug 2010 17:02:54 +0200
[Message part 1 (text/plain, inline)]
Package: hw-detect
Severity: minor
Tags: patch

Some devices don't have a hard drive.
Instead of manually specifying modules for each device, it might be possible to
guess which device needs additional modules.

This patch implements one way to do this, by installing mmc-modules if no disk
are found.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (120, 'unstable'), (105, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-rc3+ (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-hw-detect-install-mmc-modules-if-no-disks-are-found.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#593108; Package hw-detect. (Sun, 15 Aug 2010 22:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 15 Aug 2010 22:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 593108@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 593108@bugs.debian.org
Subject: Re: Bug#593108: hw-detect: Install mmc-modules automatically if needed
Date: Sun, 15 Aug 2010 18:15:07 -0400
[Message part 1 (text/plain, inline)]
Quoting Thibaut GIRKA (thib@sitedethib.com):
> Package: hw-detect
> Severity: minor
> Tags: patch
> 
> Some devices don't have a hard drive.
> Instead of manually specifying modules for each device, it might be possible to
> guess which device needs additional modules.
> 
> This patch implements one way to do this, by installing mmc-modules if no disk
> are found.


That seems simple, straightforward and I don't see any risk in
committing this. Let's wait for Otavio's comment but I'd say GO for
committing.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#593108; Package hw-detect. (Wed, 25 Aug 2010 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 25 Aug 2010 00:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 593108@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 593108@bugs.debian.org, Thibaut GIRKA <thib@sitedethib.com>
Subject: Re: Bug#593108: hw-detect: Install mmc-modules automatically if needed
Date: Tue, 24 Aug 2010 21:06:46 -0300
Hello,

On Sun, Aug 15, 2010 at 7:15 PM, Christian PERRIER <bubulle@debian.org> wrote:
> That seems simple, straightforward and I don't see any risk in
> committing this. Let's wait for Otavio's comment but I'd say GO for
> committing.

+1; please commit it so we is part of next hw-detect upload.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Added tag(s) pending. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 12 Feb 2011 16:06:05 GMT) Full text and rfc822 format available.

Reply sent to Jurij Smakov <jurij@debian.org>:
You have taken responsibility. (Sun, 27 Feb 2011 13:21:19 GMT) Full text and rfc822 format available.

Notification sent to Thibaut GIRKA <thib@sitedethib.com>:
Bug acknowledged by developer. (Sun, 27 Feb 2011 13:21:19 GMT) Full text and rfc822 format available.

Message #22 received at 593108-close@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@debian.org>
To: 593108-close@bugs.debian.org
Subject: Bug#593108: fixed in hw-detect 1.85
Date: Sun, 27 Feb 2011 13:17:49 +0000
Source: hw-detect
Source-Version: 1.85

We believe that the bug you reported is fixed in the latest version of
hw-detect, which is due to be installed in the Debian FTP archive:

archdetect_1.85_i386.udeb
  to main/h/hw-detect/archdetect_1.85_i386.udeb
disk-detect_1.85_all.udeb
  to main/h/hw-detect/disk-detect_1.85_all.udeb
driver-injection-disk-detect_1.85_all.udeb
  to main/h/hw-detect/driver-injection-disk-detect_1.85_all.udeb
ethdetect_1.85_all.udeb
  to main/h/hw-detect/ethdetect_1.85_all.udeb
hw-detect_1.85.dsc
  to main/h/hw-detect/hw-detect_1.85.dsc
hw-detect_1.85.tar.gz
  to main/h/hw-detect/hw-detect_1.85.tar.gz
hw-detect_1.85_i386.udeb
  to main/h/hw-detect/hw-detect_1.85_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593108@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jurij Smakov <jurij@debian.org> (supplier of updated hw-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Feb 2011 12:33:23 +0000
Source: hw-detect
Binary: hw-detect ethdetect disk-detect driver-injection-disk-detect archdetect
Architecture: source i386 all
Version: 1.85
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Jurij Smakov <jurij@debian.org>
Description: 
 archdetect - Hardware architecture detector (udeb)
 disk-detect - Detect disk drives (udeb)
 driver-injection-disk-detect - Detect OEM driver injection disks (udeb)
 ethdetect  - Detect network hardware and load kernel drivers for it (udeb)
 hw-detect  - Detect hardware and load kernel drivers for it (udeb)
Closes: 525902 525946 593108 606984 611314
Changes: 
 hw-detect (1.85) unstable; urgency=low
 .
   * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
     #525902, #525946, #606984.
     Thanks to Risto Suominen <risto.suminen@gmail.com>.
   * Install mmc-modules if no disk is found, since some devices may not
     have hard drives, but SD slots instead. Closes: #593108
   * Increase the number of attempts to detect the new disk devices in
     disk_found() of disk-detect.sh to 15, bringing the total waiting time
     to 28 seconds. Current timeout of 4 seconds is not sufficient for
     some SCSI subsystems with long driver/disk initialization time.
     Closes: #611314
Checksums-Sha1: 
 5d89db4da3ae895fa2d1e4ca6eec749897527034 1041 hw-detect_1.85.dsc
 64fd5fe0d791fa05ba580df0313770022fc8dbe4 194088 hw-detect_1.85.tar.gz
 ab4c6ee196079700ef57d91f5563d41a035bd9fe 104330 hw-detect_1.85_i386.udeb
 8ea86266a86884b0f91cb417c065be79c0729ad5 29282 ethdetect_1.85_all.udeb
 fca338065872b768d6f6bc16f0438df033071dd7 22624 disk-detect_1.85_all.udeb
 96db95f6fdf72336c3a0ccd439dbfdea8e852e57 12236 driver-injection-disk-detect_1.85_all.udeb
 5dd9b806d9e5c52ddde655a61ca97df779f02aa3 2304 archdetect_1.85_i386.udeb
Checksums-Sha256: 
 65c71efe851cba19859a74cc5c57a1512e577beb6ba905840103a05b9e5035ad 1041 hw-detect_1.85.dsc
 9e06d49e9b62eeb628334097164236f02f0fb1f9d704a74f30bd5b088316389f 194088 hw-detect_1.85.tar.gz
 a67652e30cc9bd692a86ed0108feb51860a6975307f81db1ddabbb1e459ca9fe 104330 hw-detect_1.85_i386.udeb
 932caa236ee567aa021c0d0039625c461b33386c19a763ea0f0412653daf6f8a 29282 ethdetect_1.85_all.udeb
 4f273e8b984f680f378f3d18919e69e6b84e57e32989d50c8391cb31a3aa0aa7 22624 disk-detect_1.85_all.udeb
 59587c656e1eb69bc3963bbfb4fc589d83ccf0eec85cea4ee4c9deef46d48f09 12236 driver-injection-disk-detect_1.85_all.udeb
 87bd6c658f368ce0e5dacc4a53b91d1810b05149126978643e06898389374b32 2304 archdetect_1.85_i386.udeb
Files: 
 3cb524f6a6eeda353327778824e14e38 1041 debian-installer standard hw-detect_1.85.dsc
 c3876ffc0f1e42f81631b26ca3916465 194088 debian-installer standard hw-detect_1.85.tar.gz
 1f8f015a07722308028b8f44454b757b 104330 debian-installer standard hw-detect_1.85_i386.udeb
 8dbee6714b0f3b9a488ee8d431374dc2 29282 debian-installer optional ethdetect_1.85_all.udeb
 319bcb9ec9590fedf2cdb6d1cc60a341 22624 debian-installer optional disk-detect_1.85_all.udeb
 4668292ab46deb70b78f7bb2fc863ddf 12236 debian-installer optional driver-injection-disk-detect_1.85_all.udeb
 e9b6758f0fca69962633f9fadb50c994 2304 debian-installer standard archdetect_1.85_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1qSAUACgkQjjectMmeA8yKEACfZgfVoGZUYBpITrg+qBWJtxIW
bEkAoKI2Po5xnEUZdBX2pJ8U0JUnOB3c
=0J+7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Mar 2011 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:10:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.